Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 715316 - dev-java/icedtea-web-1.8.4 version bump
Summary: dev-java/icedtea-web-1.8.4 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2020-03-29 13:55 UTC by Joakim Tjernlund
Modified: 2020-09-07 08:42 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
icedtea web ebuild (icedtea-web-1.7.2.ebuild,3.64 KB, text/plain)
2020-03-29 13:57 UTC, Joakim Tjernlund
Details
somewhat buggy 1.8.3 ebuild (icedtea-web-1.8.3.ebuild,4.94 KB, text/plain)
2020-03-29 13:59 UTC, Joakim Tjernlund
Details
random Java 11 patch found on the net (jdk11.patch,71.55 KB, patch)
2020-04-28 12:28 UTC, Joakim Tjernlund
Details | Diff
icedtea-web-1.8.3 ebuild (icedtea-web-1.8.3.ebuild,2.12 KB, text/plain)
2020-04-28 15:41 UTC, Andrea Postiglione
Details
icedtea-web-1.8.4 ebuild (icedtea-web-1.8.4.ebuild,2.12 KB, text/plain)
2020-08-01 13:15 UTC, Andrea Postiglione
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joakim Tjernlund 2020-03-29 13:55:53 UTC
Now that 1.6 has been masked, maybe 1.7.2 will acceptable.
I have a somewhat hacky ebuild, attaching it
Comment 1 Joakim Tjernlund 2020-03-29 13:57:16 UTC
Created attachment 626976 [details]
icedtea web ebuild

Only builds against openjdk-8
Comment 2 Joakim Tjernlund 2020-03-29 13:59:16 UTC
I have an 1.8.3 ebuild too but that one seems a bit buggy, there is some
background.jpg not loading at start up.
Comment 3 Joakim Tjernlund 2020-03-29 13:59:57 UTC
Created attachment 626978 [details]
somewhat buggy 1.8.3 ebuild
Comment 4 Jonas Stein gentoo-dev 2020-03-29 14:11:30 UTC
please upload a PR on github and label it "do not merge".
You can discuss the ebuild and get help for repair on the IRC channels
#gentoo-dev-help and
#gentoo-java
Comment 5 Andrea Postiglione 2020-04-28 12:25:08 UTC
(In reply to Joakim Tjernlund from comment #3)
> Created attachment 626978 [details]
> somewhat buggy 1.8.3 ebuild

patch for jdk11?
Comment 6 Joakim Tjernlund 2020-04-28 12:28:40 UTC
Created attachment 635028 [details, diff]
random Java 11 patch found on the net
Comment 7 Joakim Tjernlund 2020-04-28 12:29:12 UTC
(In reply to Andrea Postiglione from comment #5)
> (In reply to Joakim Tjernlund from comment #3)
> > Created attachment 626978 [details]
> > somewhat buggy 1.8.3 ebuild
> 
> patch for jdk11?

Can't remember what that was for but here it is anyway
Comment 8 Joakim Tjernlund 2020-04-28 12:31:25 UTC
(In reply to Joakim Tjernlund from comment #7)
> (In reply to Andrea Postiglione from comment #5)
> > (In reply to Joakim Tjernlund from comment #3)
> > > Created attachment 626978 [details]
> > > somewhat buggy 1.8.3 ebuild
> > 
> > patch for jdk11?
> 
> Can't remember what that was for but here it is anyway

I suspect that upstream icedtea-web is better for java 11 though.
Comment 9 Andrea Postiglione 2020-04-28 15:41:38 UTC
Created attachment 635076 [details]
icedtea-web-1.8.3 ebuild

ebuild
Comment 10 Joakim Tjernlund 2020-04-28 20:45:33 UTC
(In reply to Andrea Postiglione from comment #9)
> Created attachment 635076 [details]
> icedtea-web-1.8.3 ebuild
> 
> ebuild

Did you fix anything? I seems like you mostly removed comments
and removed pkg_setup, does that mean you built and tested against
java-11 as well?
Comment 11 Andrea Postiglione 2020-08-01 13:15:37 UTC
Created attachment 652056 [details]
icedtea-web-1.8.4 ebuild

new ebuild
Comment 12 Joakim Tjernlund 2020-08-01 16:58:57 UTC
(In reply to Andrea Postiglione from comment #11)
> Created attachment 652056 [details]
> icedtea-web-1.8.4 ebuild
> 
> new ebuild

This will build against current java VM and fail if VM is 11
Migth also install under wrong path
Comment 13 Larry the Git Cow gentoo-dev 2020-09-05 05:24:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d79c65a0c600776066d2e0ebe2d261a41c345d57

commit d79c65a0c600776066d2e0ebe2d261a41c345d57
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-05 04:32:54 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-05 05:23:43 +0000

    dev-java/icedtea-web: fix multiple qa issues in 1.8.4
    
    disabled a lot of useless/old functionality
    
    Bug: https://bugs.gentoo.org/711392
    Closes: https://bugs.gentoo.org/715316
    Closes: https://bugs.gentoo.org/684330
    Closes: https://github.com/gentoo/gentoo/pull/17413
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/icedtea-web/files/README.gentoo-r2   | 14 +++++
 dev-java/icedtea-web/icedtea-web-1.8.4.ebuild | 88 +++++++++++++--------------
 2 files changed, 57 insertions(+), 45 deletions(-)
Comment 14 Joakim Tjernlund 2020-09-07 08:42:18 UTC
1.8.4 does not build if java-11 is default VM.
I have this(stolen from some other java ebuild):

pkg_setup() {
	JAVA_PKG_WANT_BUILD_VM="openjdk-${SLOT} openjdk-bin-${SLOT}"
	JAVA_PKG_WANT_SOURCE="${SLOT}"
	JAVA_PKG_WANT_TARGET="${SLOT}"

	# The nastiness below is necessary while the gentoo-vm USE flag is
	# masked. First we call java-pkg-2_pkg_setup if it looks like the
	# flag was unmasked against one of the possible build VMs. If not,
	# we try finding one of them in their expected locations. This would
	# have been slightly less messy if openjdk-bin had been installed to
	# /opt/${PN}-${SLOT} or if there was a mechanism to install a VM env
	# file but disable it so that it would not normally be selectable.

	local vm
	for vm in ${JAVA_PKG_WANT_BUILD_VM}; do
		if [[ -d ${EPREFIX}/usr/lib/jvm/${vm} ]]; then
			java-pkg-2_pkg_setup
			return
		fi
	done

	if has_version --host-root dev-java/openjdk:${SLOT}; then
		export JAVA_HOME=${EPREFIX}/usr/$(get_libdir)/openjdk-${SLOT}
		export JDK_HOME="${JAVA_HOME}"
		export ANT_RESPECT_JAVA_HOME=ture

	else
		if [[ ${MERGE_TYPE} != "binary" ]]; then
			JDK_HOME=$(best_version --host-root dev-java/openjdk-bin:${SLOT})
			[[ -n ${JDK_HOME} ]] || die "Build VM not found!"
			JDK_HOME=${JDK_HOME#*/}
			JDK_HOME=${EPREFIX}/opt/${JDK_HOME%-r*}
			export JDK_HOME
			export JAVA_HOME="${JDK_HOME}"
			export ANT_RESPECT_JAVA_HOME=ture
		fi
	fi
}

and also changed SLOT to 8